Subject: Re: Building a Root Filesystem

From: bennett78 <[email-masked]>
Date: Sat, 17 Dec 2005 11:32:36 -0700

Michael Boutte wrote:

> Hi,
> I seem to be stuck at one point in my first embedded Linux project. I 
> built a custom MPC875 board and have figured out how to get U-Boot to 
> compile and run. Then I learned to compile an initial Linux 2.4.25 
> using the ELDK with a basic root filesystem via the "SELF" included in 
> the ELDK (thank you WD and others). Now I want to build a new root 
> filesystem with the modules included. So then I have used the "make 
> modules" and "make ... modules_install" commands plus used the 
> procedure in the DULG section 9.6 to unpack the ramdisk image and 
> mount it in the /mnt/tmp/ directory.
> That is point where I do not know what to do next. It would seem that 
> I need to merge the modules and other items I may want to add (for 
> example appWeb) with the simple root filesystem and re-compress it for 
> use just like the original ramdisk image. I just do not seem to find 
> any information on this process either in the DULG or anywhere else on 
> the web.
> Any help would be greatly appreciated.

I'm also using Linux 2.4.25 using the ELDK and I would recommend
getting a NFS root file system going first discussed in the following
paper, although written for a MPC5200 is an excellent guideline:

    http://emsys.denayer.wenk.be/emcam/Linux_on_MPC5200_(UK).pdf

Worry about a compressed system later. There is also a script for 
building a
small root file system (mkrootfsdenx) from a working reference one and
MTD is the way to go to manage your flash for F/W updates and NVdata store.

happy ELDKing,
Frank Bennett

>
> Mike Boutte
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>